RHS Feedback

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002933AFRF[All Projects] Generalpublic2017-01-20 04:302017-09-15 20:08
ReporterSa-Matra 
Assigned Toreyhard 
PrioritynoneSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.4.2.1 
Summary0002933: Скрипт СПО-15 портит производительность
DescriptionВ скрипте СПО-15 (\rhsafrf\addons\rhs_optics\scripts\rhs_rwr_spo15.sqf) используются очень тяжелые команды nearObjects на огромную дистанцию в 10 километров, каждый цикл скрипта (пару раз в секунду) игра замирает и летать в вертолете становится очень не комфортно.
Steps To Reproduce1. Взлетите в Ми-24
2. Наблюдайте скачки фпс или присмотритесь к ландшафту и как он начинает периодически дергаться от замирания игры
Additional InformationВместо nearObjects стоит использовать команду vehicles и проходить по ней, проверяя каждую технику на расстояние. Для радаров не входящих в vehicles я предлагаю использовать allMissionObjects, но так как команда тоже достаточно тяжелая, вызвать ее можно один раз до начала цикла и потом просто проходить по заранее готовому списку, подразумевая что во время полета в миссии не появится новых радаров (хотя и это тоже не сложно решить).

Скрипт с исправленными замираниями игры: http://pastebin.com/raw/jzQbkePB [^]
TagsNo tags attached.
Is it a wish/request?No
Arma 3 version1.66
Did you used any other mod when the error occurred?No
Which mods?
Attached Files

- Relationships
has duplicate 0002963closedSoul_Assassin Mi-24 low fps - performance problem 

-  Notes
(0005751)
TECAK (reporter)
2017-01-20 13:50
edited on: 2017-01-20 13:50

Посмотрите как сделано здесь http://steamcommunity.com/sharedfiles/filedetails/?id=840539198 [^]
Также СПО-15 RHS неправильно показывает если цель ниже или выше

(0005798)
reyhard (administrator)
2017-01-24 09:08

TECAK - this addons is doing it wrong - you have two antennas in front which shows you if object is below the antena or not while in this addon it's all the time assumed that that you are flying in horizontal plane
(0006510)
WARWING (reporter)
2017-09-15 20:08

TECAK - у меня вообще когда в ми-24 залезаешь просто фризы дикие начинаются, с другими вертушками вроде все в порядке, поставил твой фикс, ми-24 заработал нормально летать можно все ок, но исчезли прицелы в бмп1 бмд1 и тп, если исправишь, спасибо тебе.

- Issue History
Date Modified Username Field Change
2017-01-20 04:30 Sa-Matra New Issue
2017-01-20 11:55 reyhard Severity major => minor
2017-01-20 13:50 TECAK Note Added: 0005751
2017-01-20 13:50 TECAK Note Edited: 0005751 View Revisions
2017-01-24 06:50 Soul_Assassin Relationship added has duplicate 0002963
2017-01-24 09:08 reyhard Note Added: 0005798
2017-01-25 06:59 Soul_Assassin Assigned To => Soul_Assassin
2017-01-25 06:59 Soul_Assassin Status new => confirmed
2017-01-25 07:01 Soul_Assassin Assigned To Soul_Assassin => reyhard
2017-01-25 07:01 Soul_Assassin Status confirmed => assigned
2017-01-29 01:05 reyhard Status assigned => resolved
2017-01-29 01:05 reyhard Fixed in Version => 0.4.2.1
2017-01-29 01:05 reyhard Resolution open => fixed
2017-09-15 20:08 WARWING Note Added: 0006510


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker